<?php

/**
 * The URL language provider configuration form.
 */
function locale_cookie_language_providers_cookie_form($form, &$form_state) {
  global $base_path;

  $form['locale_cookie_language_negotiation_cookie_param'] = array(
    '#title' => t('Cookie name'),
    '#type' => 'textfield',
    '#default_value' => variable_get('locale_cookie_language_negotiation_cookie_param', 'language'),
    '#description' => t('Name of the request/cookie parameter used to determine the desired language.'),
  );

  $form['locale_cookie_language_negotiation_cookie_expire'] = array(
    '#title' => t('Cookie expire'),
    '#type' => 'textfield',
    '#default_value' => variable_get('locale_cookie_language_negotiation_cookie_expire', 7),
    '#description' => t('The time (in days) in which the cookie should expire.'),
  );

  $form['locale_cookie_language_negotiation_cookie_path'] = array(
    '#title' => t('Cookie path'),
    '#type' => 'textfield',
    '#default_value' => variable_get('locale_cookie_language_negotiation_cookie_path', $base_path),
    '#description' => t('The path on the server in which the cookie will be available on.'),
  );

  $form['locale_cookie_language_negotiation_cookie_domain'] = array(
    '#title' => t('Cookie domain scope'),
    '#type' => 'textfield',
    '#default_value' => variable_get('locale_cookie_language_negotiation_cookie_domain', ''),
    '#description' => t('The domain that the cookie is available to.'),
  );

  $form['locale_cookie_language_negotiation_cookie_secure'] = array(
    '#title' => t('Cookie secure'),
    '#type' => 'radios',
    '#default_value' => variable_get('locale_cookie_language_negotiation_cookie_secure', 0),
    '#options' => array(
      0 => t('Disabled'),
      1 => t('Enabled')
    ),
    '#description' => t('When this option is set to "Enabled" the cookie should be only transmitted over a secure HTTPS connection from the client. The cookie will only be set if a secure connection exists.'),
  );

  $form['locale_cookie_language_negotiation_cookie_http_only'] = array(
    '#title' => t('Cookie HTTP only'),
    '#type' => 'radios',
    '#default_value' => variable_get('locale_cookie_language_negotiation_cookie_http_only', 0),
    '#options' => array(
      0 => t('Disabled'),
      1 => t('Enabled')
    ),
    '#description' => t('When this option is set to "Enabled" the cookie will be made accessible only through the HTTP protocol. This means that the cookie won\'t be accessible by scripting languages, such as JavaScript. It has been suggested that this setting can effectively help to reduce identity theft through XSS attacks.'),
  );

  $form_state['redirect'] = 'admin/config/regional/language/configure';

  return system_settings_form($form);
}

